<template>
    <v-container class="containersz">
        <v-container>
            <span class="big-title">¡Hola!</span>
        </v-container>
        <v-container>
            <span class="small-title">¿Que quieres hacer hoy?</span>
        </v-container>
        <v-row>
            <v-col class="d-flex justify-center">
                <router-link append to="restaurant/menu">
                    <div class="big-button menus">
                        <span>MIS NEGOCIOS</span>
                        <hr />
                    </div>
                </router-link>
            </v-col>
            <v-col class="d-flex justify-center">
                <router-link append to="restaurant/menu/dishes">
                    <div class="big-button dishes">
                        <span>PRODUCTOS</span>
                        <hr />
                    </div>
                </router-link>
            </v-col>
            <v-col class="d-flex justify-center">
                <router-link append to="restaurant/order">
                    <div class="big-button orders">
                        <span>PEDIDOS</span>
                        <hr />
                    </div>
                </router-link>
            </v-col>
            <v-col class="d-flex justify-center">
                <router-link append to="delivery/restaurants">
                    <div class="big-button delivery">
                        <span>DELIVERY</span>
                        <hr />
                    </div>
                </router-link>
            </v-col>
            <v-col class="d-flex justify-center">
                <router-link append to="restaurant/menu/kpi">
                    <div class="big-button kpi">
                        <span>INDICADORES</span>
                        <hr />
                    </div>
                </router-link>
            </v-col>
            <v-col class="d-flex justify-center">
                <router-link append to="support/helpdesk">
                    <div class="big-button attention">
                        <span>ATENCIÓN AL CLIENTE</span>
                        <hr />
                    </div>
                </router-link>
            </v-col>
        </v-row>
    </v-container>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator';
import { User } from '@/model/User';
import { namespace } from 'vuex-class';
import { Order } from '@/model/order/Order';

const loginStore = namespace('LoginModule');
const orderStore = namespace('OrderModule');

@Component
export default class Home extends Vue {
    @loginStore.State
    private user!: User;
    @orderStore.State
    orders!: Order[];
}
</script>

<style type="text/css">
.bee-gray {
    zoom: 70%;
}
.big-title {
    font-size: 5em;
    font-weight: bolder;
}
.small-title {
    font-size: 3em;
    font-weight: normal;
}
.big-button {
    height: 400px;
    width: 400px;
    background-size: contain;
    background-repeat: no-repeat;
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
    user-select: none;
    cursor: pointer;
}
.big-button hr {
    width: 40%;
    border: 1px solid black;
    font-weight: bolder;
    margin-bottom: 10px;
    visibility: hidden;
}

.big-button:hover hr {
    visibility: visible;
}
.big-button:active hr {
    visibility: visible;
}
.big-button span {
    font-weight: bolder;
    font-size: 1.5em;
    margin-bottom: 100px;
    color: #b3b6b8;
}
.big-button:hover span {
    color: black;
}
.big-button:active span {
    color: black;
}

@media screen and (max-width: 1400px) {
    .big-button {
        height: 250px;
        width: 250px;
    }
    .big-button span {
        margin-bottom: 60px;
        font-size: 1em;
    }
    .big-button hr {
        margin-bottom: 7px;
    }
}

.menus {
    background-image: url('~@/assets/icons/menu-normal.svg');
}
.menus:hover {
    background-image: url('~@/assets/icons/menu-hover.svg');
}
.menus:active {
    background-image: url('~@/assets/icons/menu-hover.svg');
}
.dishes {
    background-image: url('~@/assets/icons/dishes-normal.svg');
}
.dishes:hover {
    background-image: url('~@/assets/icons/dishes-hover.svg');
}
.dishes:active {
    background-image: url('~@/assets/icons/dishes-hover.svg');
}
.orders {
    background-image: url('~@/assets/icons/ordenes-normal.svg');
}
.orders:hover {
    background-image: url('~@/assets/icons/ordenes-hover.svg');
}
.orders:active {
    background-image: url('~@/assets/icons/ordenes-hover.svg');
}
.attention {
    background-image: url('~@/assets/icons/atencion-normal.svg');
}
.attention:hover {
    background-image: url('~@/assets/icons/atencion-hover.svg');
}
.attention:active {
    background-image: url('~@/assets/icons/atencion-hover.svg');
}
.kpi {
    background-image: url('~@/assets/icons/indicadores-normal.svg');
}
.kpi:hover {
    background-image: url('~@/assets/icons/indicadores-hover.svg');
}
.kpi:active {
    background-image: url('~@/assets/icons/indicadores-hover.svg');
}
.delivery {
    background-image: url('~@/assets/icons/delivery-normal.svg');
}
.delivery:hover {
    background-image: url('~@/assets/icons/delivery-hover.svg');
}
.delivery:active {
    background-image: url('~@/assets/icons/delivery-hover.svg');
}
@media screen and (max-width: 1240px) {
    .containersz {
        zoom: 70%;
        margin-right: 100px;
        position: absolute;
    }
}
@media screen and (max-width: 2000px) {
    .containersz {
        zoom: 70%;
    }
}
</style>
